Bug 850309 - Introduce new systemd-rpm macros in sems spec file
Summary: Introduce new systemd-rpm macros in sems spec file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sems
Version: 18
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 850016
TreeView+ depends on / blocked
 
Reported: 2012-08-21 14:06 UTC by Lukáš Nykrýn
Modified: 2013-10-01 17:37 UTC (History)
3 users (show)

Fixed In Version: sems-1.4.3-8.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-16 00:27:55 UTC
Type: ---


Attachments (Terms of Use)

Description Lukáš Nykrýn 2012-08-21 14:06:25 UTC
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).

Comment 1 Peter Lemenkov 2013-01-22 13:49:51 UTC
WONTFIX (I need these patches to be available in all supported Fedora releases forst).

Comment 2 Fedora Update System 2013-09-07 07:17:39 UTC
sems-1.4.3-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sems-1.4.3-8.fc19

Comment 3 Fedora Update System 2013-09-07 07:17:52 UTC
sems-1.4.3-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sems-1.4.3-8.fc20

Comment 4 Fedora Update System 2013-09-07 07:18:07 UTC
sems-1.4.3-8.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/sems-1.4.3-8.el6

Comment 5 Fedora Update System 2013-09-07 07:18:20 UTC
sems-1.4.3-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/sems-1.4.3-8.fc18

Comment 6 Fedora Update System 2013-09-07 17:03:14 UTC
Package sems-1.4.3-8.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sems-1.4.3-8.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16036/sems-1.4.3-8.fc20
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-09-16 00:27:55 UTC
sems-1.4.3-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-09-16 00:31:37 UTC
sems-1.4.3-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-09-23 00:10:00 UTC
sems-1.4.3-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-10-01 17:37:12 UTC
sems-1.4.3-8.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.